#include<iostream>
#include<cmath>
using namespace  std;
int main ()
{
    int n, sum=0, broqch=0;
    cin>>n;
    int massiv [n];
    for (int i=0; i<n; i++)
    {
        cin>>massiv[i];
    }
    for (int i=0; i<n; i++)
    {
        if (massiv[i]%2==0)
        {
            sum=sum+n;
            broqch++;
        }
    }
    cout<<sum-broqch+1;
    return 0;
}
